Programs
Edit a program
PUT
/
program
/
{program_id}
Edit a program
curl --request PUT \
--url https://api.helpyousponsor.com/v1/program/{program_id} \
--header 'Content-Type: application/json' \
--header 'X-HYS-API-Key: <api-key>' \
--data '
{
"id": 3541,
"client_id": "207",
"hysform_id": 638,
"donor_hysform_id": null,
"setting_id": 410,
"emailset_id": 1567,
"entity_submit": null,
"donor_submit": null,
"link_id": null,
"name": "adfdfs",
"prefix": "fd",
"counter": "0",
"lft": 2,
"rgt": 5,
"tree": 207,
"box_folder_id": null,
"deleted_at": null,
"created_at": "2023-11-23T17:14:06.000000Z",
"updated_at": "2023-11-23T17:21:37.000000Z",
"children": "[]",
"user_id": 542,
"program_id": 3541
}
'import requests
url = "https://api.helpyousponsor.com/v1/program/{program_id}"
payload = {
"id": 3541,
"client_id": "207",
"hysform_id": 638,
"donor_hysform_id": None,
"setting_id": 410,
"emailset_id": 1567,
"entity_submit": None,
"donor_submit": None,
"link_id": None,
"name": "adfdfs",
"prefix": "fd",
"counter": "0",
"lft": 2,
"rgt": 5,
"tree": 207,
"box_folder_id": None,
"deleted_at": None,
"created_at": "2023-11-23T17:14:06.000000Z",
"updated_at": "2023-11-23T17:21:37.000000Z",
"children": "[]",
"user_id": 542,
"program_id": 3541
}
headers = {
"X-HYS-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-HYS-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 3541,
client_id: '207',
hysform_id: 638,
donor_hysform_id: null,
setting_id: 410,
emailset_id: 1567,
entity_submit: null,
donor_submit: null,
link_id: null,
name: 'adfdfs',
prefix: 'fd',
counter: '0',
lft: 2,
rgt: 5,
tree: 207,
box_folder_id: null,
deleted_at: null,
created_at: '2023-11-23T17:14:06.000000Z',
updated_at: '2023-11-23T17:21:37.000000Z',
children: '[]',
user_id: 542,
program_id: 3541
})
};
fetch('https://api.helpyousponsor.com/v1/program/{program_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Program info successfully updated."
}{
"message": "Validation error message"
}Authorizations
API key generated from Developer Settings. Format: hys_...
Path Parameters
The ID of the program to update
Body
application/json
Data to update a program
The ID of the program
Example:
3541
The ID of the client
Example:
"207"
The ID of the hysform
Example:
638
Example:
null
The ID of the setting
Example:
410
Example:
1567
The entity submit
Example:
null
The donor submit
Example:
null
The ID of the link
Example:
null
The name of the program
Example:
"adfdfs"
The prefix of the program
Example:
"fd"
The counter of the program
Example:
"0"
The lft of the program
Example:
2
The rgt of the program
Example:
5
The tree of the program
Example:
207
Example:
null
Example:
null
Example:
"2023-11-23T17:14:06.000000Z"
Example:
"2023-11-23T17:21:37.000000Z"
Example:
"[]"
The ID of the user
Example:
542
The ID of the program
Example:
3541
Response
Successful operation
Example:
"Program info successfully updated."
Previous
Get Detailed Field OptionsRetrieves detailed field options for a specific program and type,
* including program information, fields, reports, and details.
Next
⌘I
Edit a program

